- Qt 5.3
- Qt Multimedia
- C++ Classes
- QVideoDeviceSelectorControl
- Qt 5.3.2 Reference Documentation

# QVideoDeviceSelectorControl Class

The QVideoDeviceSelectorControl class provides an video device selector media control. More...

Header: | `#include <QVideoDeviceSelectorControl>`
qmake: | `QT += multimedia`
Inherits: | QMediaControl.

- List of all members, including inherited members

## Public Functions

virtual | ~QVideoDeviceSelectorControl()
virtual int | defaultDevice() const = 0
virtual int | deviceCount() const = 0
virtual QString | deviceDescription(int index) const = 0
virtual QString | deviceName(int index) const = 0
virtual int | selectedDevice() const = 0

## Public Slots

virtual void | setSelectedDevice(int index) = 0

## Signals

void | devicesChanged()
void | selectedDeviceChanged(int index)
void | selectedDeviceChanged(const QString & name)

## Protected Functions

| QVideoDeviceSelectorControl(QObject * parent = 0)

## Macros

| QCameraInfoControl_iid
| QVideoDeviceSelectorControl_iid

## Detailed Description

The QVideoDeviceSelectorControl class provides an video device selector media control.

The QVideoDeviceSelectorControl class provides descriptions of the video devices available on a system and allows one to be selected as the endpoint of a media service.

The interface name of QVideoDeviceSelectorControl is `org.qt-project.qt.videodeviceselectorcontrol/5.0` as defined in QVideoDeviceSelectorControl_iid.

## Member Function Documentation

### QVideoDeviceSelectorControl::QVideoDeviceSelectorControl(QObject * parent = 0)`[protected]`

Constructs a video device selector control with the given parent.

### QVideoDeviceSelectorControl::~QVideoDeviceSelectorControl()`[virtual]`

Destroys a video device selector control.

### int QVideoDeviceSelectorControl::defaultDevice() const`[pure virtual]`

Returns the index of the default video device.

### int QVideoDeviceSelectorControl::deviceCount() const`[pure virtual]`

Returns the number of available video devices;

### QString QVideoDeviceSelectorControl::deviceDescription(int index) const`[pure virtual]`

Returns a description of the video device at index.

### QString QVideoDeviceSelectorControl::deviceName(int index) const`[pure virtual]`

Returns the name of the video device at index.

### void QVideoDeviceSelectorControl::devicesChanged()`[signal]`

Signals that the list of available video devices has changed.

### int QVideoDeviceSelectorControl::selectedDevice() const`[pure virtual]`

Returns the index of the selected video device.

See also setSelectedDevice().

### void QVideoDeviceSelectorControl::selectedDeviceChanged(int index)`[signal]`

Signals that the selected video device index has changed.

### void QVideoDeviceSelectorControl::selectedDeviceChanged(const QString & name)`[signal]`

Signals that the selected video device name has changed.

### void QVideoDeviceSelectorControl::setSelectedDevice(int index)`[pure virtual slot]`

Sets the selected video device index.

See also selectedDevice().

## Macro Documentation

### QCameraInfoControl_iid

`org.qt-project.qt.camerainfocontrol/5.3`

Defines the interface name of the QCameraInfoControl class.

### QVideoDeviceSelectorControl_iid

`org.qt-project.qt.videodeviceselectorcontrol/5.0`

Defines the interface name of the QVideoDeviceSelectorControl class.